Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network4.167.92.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
4.167.92.0
Broadcast address
4.167.95.255
First usable
4.167.92.1
Last usable
4.167.95.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 04A75C00 · Integer 78076928 to 78077951
Reverse DNS zones
92.167.4.in-addr.arpa
93.167.4.in-addr.arpa
94.167.4.in-addr.arpa
95.167.4.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000100.10100111.01011100.000000004.167.92.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00000100.10100111.01011100.000000004.167.92.0
Broadcast00000100.10100111.01011111.111111114.167.95.255
Split into smaller subnets/29

4.167.92.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
14.167.92.0/294.167.92.1 to 4.167.92.64.167.92.76
24.167.92.8/294.167.92.9 to 4.167.92.144.167.92.156
34.167.92.16/294.167.92.17 to 4.167.92.224.167.92.236
44.167.92.24/294.167.92.25 to 4.167.92.304.167.92.316
54.167.92.32/294.167.92.33 to 4.167.92.384.167.92.396
64.167.92.40/294.167.92.41 to 4.167.92.464.167.92.476
74.167.92.48/294.167.92.49 to 4.167.92.544.167.92.556
84.167.92.56/294.167.92.57 to 4.167.92.624.167.92.636
94.167.92.64/294.167.92.65 to 4.167.92.704.167.92.716
104.167.92.72/294.167.92.73 to 4.167.92.784.167.92.796
114.167.92.80/294.167.92.81 to 4.167.92.864.167.92.876
124.167.92.88/294.167.92.89 to 4.167.92.944.167.92.956
134.167.92.96/294.167.92.97 to 4.167.92.1024.167.92.1036
144.167.92.104/294.167.92.105 to 4.167.92.1104.167.92.1116
154.167.92.112/294.167.92.113 to 4.167.92.1184.167.92.1196
164.167.92.120/294.167.92.121 to 4.167.92.1264.167.92.1276
174.167.92.128/294.167.92.129 to 4.167.92.1344.167.92.1356
184.167.92.136/294.167.92.137 to 4.167.92.1424.167.92.1436
194.167.92.144/294.167.92.145 to 4.167.92.1504.167.92.1516
204.167.92.152/294.167.92.153 to 4.167.92.1584.167.92.1596
214.167.92.160/294.167.92.161 to 4.167.92.1664.167.92.1676
224.167.92.168/294.167.92.169 to 4.167.92.1744.167.92.1756
234.167.92.176/294.167.92.177 to 4.167.92.1824.167.92.1836
244.167.92.184/294.167.92.185 to 4.167.92.1904.167.92.1916
254.167.92.192/294.167.92.193 to 4.167.92.1984.167.92.1996
264.167.92.200/294.167.92.201 to 4.167.92.2064.167.92.2076
274.167.92.208/294.167.92.209 to 4.167.92.2144.167.92.2156
284.167.92.216/294.167.92.217 to 4.167.92.2224.167.92.2236
294.167.92.224/294.167.92.225 to 4.167.92.2304.167.92.2316
304.167.92.232/294.167.92.233 to 4.167.92.2384.167.92.2396
314.167.92.240/294.167.92.241 to 4.167.92.2464.167.92.2476
324.167.92.248/294.167.92.249 to 4.167.92.2544.167.92.2556
334.167.93.0/294.167.93.1 to 4.167.93.64.167.93.76
344.167.93.8/294.167.93.9 to 4.167.93.144.167.93.156
354.167.93.16/294.167.93.17 to 4.167.93.224.167.93.236
364.167.93.24/294.167.93.25 to 4.167.93.304.167.93.316
374.167.93.32/294.167.93.33 to 4.167.93.384.167.93.396
384.167.93.40/294.167.93.41 to 4.167.93.464.167.93.476
394.167.93.48/294.167.93.49 to 4.167.93.544.167.93.556
404.167.93.56/294.167.93.57 to 4.167.93.624.167.93.636
414.167.93.64/294.167.93.65 to 4.167.93.704.167.93.716
424.167.93.72/294.167.93.73 to 4.167.93.784.167.93.796
434.167.93.80/294.167.93.81 to 4.167.93.864.167.93.876
444.167.93.88/294.167.93.89 to 4.167.93.944.167.93.956
454.167.93.96/294.167.93.97 to 4.167.93.1024.167.93.1036
464.167.93.104/294.167.93.105 to 4.167.93.1104.167.93.1116
474.167.93.112/294.167.93.113 to 4.167.93.1184.167.93.1196
484.167.93.120/294.167.93.121 to 4.167.93.1264.167.93.1276
494.167.93.128/294.167.93.129 to 4.167.93.1344.167.93.1356
504.167.93.136/294.167.93.137 to 4.167.93.1424.167.93.1436
514.167.93.144/294.167.93.145 to 4.167.93.1504.167.93.1516
524.167.93.152/294.167.93.153 to 4.167.93.1584.167.93.1596
534.167.93.160/294.167.93.161 to 4.167.93.1664.167.93.1676
544.167.93.168/294.167.93.169 to 4.167.93.1744.167.93.1756
554.167.93.176/294.167.93.177 to 4.167.93.1824.167.93.1836
564.167.93.184/294.167.93.185 to 4.167.93.1904.167.93.1916
574.167.93.192/294.167.93.193 to 4.167.93.1984.167.93.1996
584.167.93.200/294.167.93.201 to 4.167.93.2064.167.93.2076
594.167.93.208/294.167.93.209 to 4.167.93.2144.167.93.2156
604.167.93.216/294.167.93.217 to 4.167.93.2224.167.93.2236
614.167.93.224/294.167.93.225 to 4.167.93.2304.167.93.2316
624.167.93.232/294.167.93.233 to 4.167.93.2384.167.93.2396
634.167.93.240/294.167.93.241 to 4.167.93.2464.167.93.2476
644.167.93.248/294.167.93.249 to 4.167.93.2544.167.93.2556
654.167.94.0/294.167.94.1 to 4.167.94.64.167.94.76
664.167.94.8/294.167.94.9 to 4.167.94.144.167.94.156
674.167.94.16/294.167.94.17 to 4.167.94.224.167.94.236
684.167.94.24/294.167.94.25 to 4.167.94.304.167.94.316
694.167.94.32/294.167.94.33 to 4.167.94.384.167.94.396
704.167.94.40/294.167.94.41 to 4.167.94.464.167.94.476
714.167.94.48/294.167.94.49 to 4.167.94.544.167.94.556
724.167.94.56/294.167.94.57 to 4.167.94.624.167.94.636
734.167.94.64/294.167.94.65 to 4.167.94.704.167.94.716
744.167.94.72/294.167.94.73 to 4.167.94.784.167.94.796
754.167.94.80/294.167.94.81 to 4.167.94.864.167.94.876
764.167.94.88/294.167.94.89 to 4.167.94.944.167.94.956
774.167.94.96/294.167.94.97 to 4.167.94.1024.167.94.1036
784.167.94.104/294.167.94.105 to 4.167.94.1104.167.94.1116
794.167.94.112/294.167.94.113 to 4.167.94.1184.167.94.1196
804.167.94.120/294.167.94.121 to 4.167.94.1264.167.94.1276
814.167.94.128/294.167.94.129 to 4.167.94.1344.167.94.1356
824.167.94.136/294.167.94.137 to 4.167.94.1424.167.94.1436
834.167.94.144/294.167.94.145 to 4.167.94.1504.167.94.1516
844.167.94.152/294.167.94.153 to 4.167.94.1584.167.94.1596
854.167.94.160/294.167.94.161 to 4.167.94.1664.167.94.1676
864.167.94.168/294.167.94.169 to 4.167.94.1744.167.94.1756
874.167.94.176/294.167.94.177 to 4.167.94.1824.167.94.1836
884.167.94.184/294.167.94.185 to 4.167.94.1904.167.94.1916
894.167.94.192/294.167.94.193 to 4.167.94.1984.167.94.1996
904.167.94.200/294.167.94.201 to 4.167.94.2064.167.94.2076
914.167.94.208/294.167.94.209 to 4.167.94.2144.167.94.2156
924.167.94.216/294.167.94.217 to 4.167.94.2224.167.94.2236
934.167.94.224/294.167.94.225 to 4.167.94.2304.167.94.2316
944.167.94.232/294.167.94.233 to 4.167.94.2384.167.94.2396
954.167.94.240/294.167.94.241 to 4.167.94.2464.167.94.2476
964.167.94.248/294.167.94.249 to 4.167.94.2544.167.94.2556
974.167.95.0/294.167.95.1 to 4.167.95.64.167.95.76
984.167.95.8/294.167.95.9 to 4.167.95.144.167.95.156
994.167.95.16/294.167.95.17 to 4.167.95.224.167.95.236
1004.167.95.24/294.167.95.25 to 4.167.95.304.167.95.316
1014.167.95.32/294.167.95.33 to 4.167.95.384.167.95.396
1024.167.95.40/294.167.95.41 to 4.167.95.464.167.95.476
1034.167.95.48/294.167.95.49 to 4.167.95.544.167.95.556
1044.167.95.56/294.167.95.57 to 4.167.95.624.167.95.636
1054.167.95.64/294.167.95.65 to 4.167.95.704.167.95.716
1064.167.95.72/294.167.95.73 to 4.167.95.784.167.95.796
1074.167.95.80/294.167.95.81 to 4.167.95.864.167.95.876
1084.167.95.88/294.167.95.89 to 4.167.95.944.167.95.956
1094.167.95.96/294.167.95.97 to 4.167.95.1024.167.95.1036
1104.167.95.104/294.167.95.105 to 4.167.95.1104.167.95.1116
1114.167.95.112/294.167.95.113 to 4.167.95.1184.167.95.1196
1124.167.95.120/294.167.95.121 to 4.167.95.1264.167.95.1276
1134.167.95.128/294.167.95.129 to 4.167.95.1344.167.95.1356
1144.167.95.136/294.167.95.137 to 4.167.95.1424.167.95.1436
1154.167.95.144/294.167.95.145 to 4.167.95.1504.167.95.1516
1164.167.95.152/294.167.95.153 to 4.167.95.1584.167.95.1596
1174.167.95.160/294.167.95.161 to 4.167.95.1664.167.95.1676
1184.167.95.168/294.167.95.169 to 4.167.95.1744.167.95.1756
1194.167.95.176/294.167.95.177 to 4.167.95.1824.167.95.1836
1204.167.95.184/294.167.95.185 to 4.167.95.1904.167.95.1916
1214.167.95.192/294.167.95.193 to 4.167.95.1984.167.95.1996
1224.167.95.200/294.167.95.201 to 4.167.95.2064.167.95.2076
1234.167.95.208/294.167.95.209 to 4.167.95.2144.167.95.2156
1244.167.95.216/294.167.95.217 to 4.167.95.2224.167.95.2236
1254.167.95.224/294.167.95.225 to 4.167.95.2304.167.95.2316
1264.167.95.232/294.167.95.233 to 4.167.95.2384.167.95.2396
1274.167.95.240/294.167.95.241 to 4.167.95.2464.167.95.2476
1284.167.95.248/294.167.95.249 to 4.167.95.2544.167.95.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses